# Kylin Security Center
Path: Start --> All Programs --> Security Center.
### Overview
Ksc-defender is a system security management program developed by Kylin team,it includes 5 fuctions,the main page includes five functions:account security,safty check,virus protection,network protection,application control and protection of five security configuration modules,the system has been installed by default,the main interface as shown in Fig 1.

![Fig 1 Kylin Security Center main page-big](image/1.png)
<br>

### Account security
Kylin Security Center provide system account password security check policy configuration, account lock and login display configuration fuctions.Self-define selection can enable "password strenth setting" page.

Click "acconut security" button from main page, or "account security" from the left list,shown in Fig 2

![Fig 2 Account security -big](image/2.png)

### Password strength setting
Password strength are divided into four configuration mode types includes: hige-level, middle level, low-level, self-defined

- high-level : At least 8 bits, three types in uppercase, lowercase, numbers, special characters

- middle-level："At least 6 bits, two types in uppercase, lowercase, numbers, special characters"

- low-level："No password length or character type restrictions"

- self-defined：According needs to self-define relative password strength policy , shown in Fig 3. If the set policy is the same as the high, middle, low,it will automatically switch to the corresponding mode when the account security in turn on again.

![Fig 3 Password strength setting -big](image/3.png)

In the self-defined custom password strength setting interface, the following three dimensions are provided:

- Providing password character control, including password length, character types, and the mininum number of character. if the user configuration content conflicts, the corresponding prompt will be given.

- Provide password advanced Settings, including the password to prohibit the inclusion of user name, enable palindrome check, enable similarity check, enable password dictionary and password validity Settings.

- Provide password continuous character control, including the setting of the maximum number of continuous occurrence of the same character, the maximum number of continuous occurrence of the same type of character sequence and the maximum number of continuous occurrence of the same type of character.

When you hover over the prompt icon, a detailed description of the configuration item is displayed.

### Account lock
In the account lock Settings function, the user can configure whether the account lock function is enabled. With account locking enabled, users can set password error thresholds and lock duration. As shown in Figure 2.

### Login information display
Login information display Settings are only available on the console. You can set last login information display and historical login failure information display. As shown in Figure 3-2.
### Safty check
Ensure the system security of ordinary users and eliminate the hidden danger of basic security; Support the machine to the basic baseline items and system vulnerabilities of the security scan and a key reinforcement function.

Click the "Safety Physical Examination" button on the home page or the "Safety check" TAB in the list on the left to enter, as shown in Fig 4.

![Fig 4 Safty check -big](image/4.png)

If the CVE vulnerability is scanned by the system, the check box cannot be unchecked and must be repaired with one key. Otherwise, your system security will be affected, as shown in Figure 5.

![Fig 5 Scan completed -big](image/5.png)

![Fig 6 Fix completed -big](image/6.png)

### Smarting scanning
Click the "Start Scanning" button to start scanning for vulnerabilities and baselines of the system.

![Fig 6 Smarting scanning -big](image/6.png)

### Smart fixing
After the scan is completed, non-conformance items of the system will be displayed according to the risk level. Users can perform single or multiple one-button reinforcement according to their own needs. Click "Smart fixing" to begin the repair process.

![Fig 7 smart fixing -big](image/7.png)
 
### Virus defense
Click the "Virus defense" button on the home page or the "Virus defense" TAB in the list on the left to enter, as shown in Fig 9.

![Fig 8 Virus defense -big](image/8.png)

Virus defense concentrates on the antivirus programs installed on your current system. Under the detection of each antivirus program, the system's antivirus backlog, virus protection status and software update status are shown in a rolling display. At the same time, four functions including application opening, virus library updating, immediate scanning and update authorization are provided for each antivirus program separately.

### Open application
Click to open the qianxin network god terminal security management system. Home page contained a virus scan, a key clean up files crushed, optimization of acceleration, operator, in accordance with the following diagram 10, 11,12,13 another first icon in the top right-hand corner of the page click, provides the virus library offline update, security logs, system Settings, about us, the entrance to the authorization information operation. Qianxin net god home page as shown in Fig 9.

![Fig 9 Qianxin home page-big](image/9.png)

![Fig 10 A key to clean up-big](image/10.png)

![Fig 11 To optimize the speed-big](image/11.png)

![Fig 12 File crushing-big](image/12.png)

### Virus Library Update
This feature is enabled when a new virus library is detected. Users can upgrade the virus library, more comprehensive protection of the current system security. The update effect of virus library is shown in Figure 13.

![Fig 13 Virus Library Update-big](image/13.png)

### Scan immediately
The Scan Now button provides the entry of quick scan function of one of the virus killing operations. The scanning effect is as shown in Figure 3-8. In addition, the virus killing page also provides full scan and custom scan. Full scan and fast scan are similar, but it takes more time, and the object of scan is the whole system. For custom scanning, you need to select the system disk or folder to be scanned by yourself. The effect of custom scanning is shown in Figure 14.

![Fig 14 Scan immediately-big](image/14.png)

![Fig 15 Custom scan-big](image/15.png)

In order to prevent personal trusted files from being killed by mistake, the operator can set the file directory and file extension whitelist in the trust area of the virus killing page to prevent unnecessary killed by mistake; The scanned abnormal and processed files have been safely backed up in the quarantine area, and the operator can delete them completely or restore them to the state before processing in the quarantine area; In addition, for files with uncertain nature, the operator can view the identification results of unknown files reported after joining the "Cloud Security Plan" in the identification area.
### Update the authorization
Users can update the license status of the software when the license of the antivirus software is about to expire or has expired. For users who have not purchased authorization documents, you can dial 4009303120 for consultation. The update authorization diagram is shown in Fig 16.

![Fig 16 Update the authorization-big](image/16.png)

### Network protection
The security center provides default network protection strategy and application network control function to maintain the security of the system network environment.

Click the "Network Protection" button on the home page or the "Network Protection" TAB in the list on the left to enter, as shown in Figure 10.
![Fig 17 Network protection -big](image/17.png)

### Firewall
Protecting the external application connection system provides four policies: public network, office network, custom configuration and shutdown. Use Kirin Firewall by default. Restrictions and default states of the above four policies on the network are as follows:
- Public network: network configuration suitable for public areas; Reject all external connections to the machine
- Office network: suitable for home and office workspace network configuration; Deny all external connections to the machine except SSH, DHCPv6-Client, and ICMP
- Custom configuration: for senior administrator users; All external connections to the machine are rejected. Users can add services, ports, protocols, etc. that need to be released according to their needs.
- off: Network configuration for unfortunate environments, allowing all network connections.
When firewall status is selected, click "Custom Configuration", and the firewall custom configuration interface will pop up, as shown in Figure 3-18.

![Fig 18 Custom Settings-big](image/18.png)

- "Services" list shows the firewall services for the current system configuration;
- The list on the right shows the protocols and ports that the configuration controls under the current service. When checked, the service configuration is enabled. Users can modify the service list, port and protocol by adding, deleting and editing function buttons.
To add new Settings, click the "Add Service" button, and the pop-up window is shown in Fig 19. Follow the prompts to set.

![Fig 19 New firewall service Settings-big](image/19.png)

### Application netwoking
Application Networking Controls whether applications and services can be actively networked. There are three states for users to choose from:

- Prohibition: prohibit unauthorized applications and services from networking.

- Warning: If the application has been added to the control list, it will be controlled according to the network access policy configured by the application; If the application is not added to the control list, an authentication dialog box is displayed, allowing the user to select whether the application can be networked.

- Off: Turn off the application networking control function, so that all applications and services can actively connect to the Internet.

In the above three states, the forbidden state and the warning state can trigger the "Application Network Configuration" button. Click this button to enter the custom interface of application network control.

Users can select the networking policy of the application through the drop-down box after selecting the application in the list of applications in the application networking control interface.

![Fig 20 Application network control -big](image/20.png)

### Application-control protection
Provides protection operations for installing, running, and uninstalling applications.

Click the "Apply Control and Protection" button on the home page or the "Apply Control and Protection" TAB in the left list to enter, as shown in Fig13.

![Fig 21 Application-control protection -big](image/21.png)

### Application source check
Check that the source of the application is legal and compliant. Applications installed from legitimate and compliant sources can effectively protect the security and stability of the system. If the application is not authenticated, application execution permissions will be checked when Kylin's built-in security features are enabled.

Application source checking offers three options:

- Blocking: Only approved applications can be installed.

- Warning: Please alert me if the app is not certified.

- Shut down: it can be installed from any source.

Currently the Advanced Server Operating System Security Center provides application source checks that are turned off by default and cannot be changed.

### Check application intergrity
Kylin's internal security mechanism checks the integrity of the application and helps protect the integrity of the environment in which the system operates. There are three states of application integrity checking:

- Block: Applications that are not authenticated or whose integrity has been compromised will not be executed.

- Warning: It is up to the user to choose whether to execute an unauthenticated or integrity-compromised application.

- Close: All applications can be executed without checking.

The block state and warning state can trigger the "add, update, delete" button. Click this button to enter the interface of application base value management. Applications and dynamic libraries whose integrity is compromised or not authenticated are not allowed to run or load directly.

![Fig 22 Application integrity-big](image/22.png)

### Application program protection
Provides application protection against process killing and kernel module files uninstalling.
Process anti-kill feature, when adding an application to the process anti-kill list, The system will prevent the program process from being killed. When an abnormal exit status of a process in the list is found or the process exits voluntarily, the process anti-kill mechanism is activated. Thus, the system can monitor the process status of the program and control it against killing

![Fig 23 Application protection-big](image/23.png)

![Fig 24 Protection behavior configuration-big](image/24.png)

Kernel module anti-uninstall function, to provide the file protection of the kernel module. It prevents the system from running normally due to missing kernel parameters caused by accidental deletion of the user.

Users can turn on the anti-uninstall button for the name of the kernel module they want to protect.

![Fig 25 kernal anti-install -big](image/25.png)
