# 麒麟安全中心
路径：开始-->所有程序-->安全中心。
### 首页
安全中心是由麒麟安全团队开发的一款系统安全管理程序，其首页包含账户安全、安全体检、病毒防护、网络保护、应用控制与保护五个安全配置模块，系统已默认安装。首页界面如图1所示。

![图 1 安全中心首页-big](image/1.png)
<br>

### 账户安全
安全中心提供系统账户密码安全检查策略配置，账户锁定及登录信息显示配置功能。其中自定义选择可以激活“密码强度设置”页面。

点击首页的“账户安全”按钮，或左侧列表中“账户安全”标签页进入，如图2所示。

![图 2 账户安全示意-big](image/2.png)

### 密码强度配置
密码强度分为高级、中级、低级、自定义四种配置模式：

- 高级：至少 8 位，包含大写字母、小写字母、数字、特殊字符中的三种。

- 中级：至少 6 位，包含大写字母、小写字母、数字、特殊字符中的两种。

- 低级：不对用户密码进行限制。

- 自定义：根据需求自定义相应的密码强度策略，如图3所示。若设置的策略与高级、中级或低级相同时，再次打开账户安全时，将自动切换到对应模式。

![图 3 自定义密码强度示意-big](image/3.png)

自定义密码强度设置界面中，提供以下三个维度的设置：

- 提供密码字符控制，包括密码长度、字符种类和字符最小数量的设置，若用户配置内容出现冲突时，会给出相应提示。

- 提供密码高级设置，包括密码中禁止包含用户名、启用回文检查、启用相似性检查、启用密码字典和密码有效期的设置。

- 提供密码连续字符控制，包括同一字符连续出现最大次数、同类型字符序列连续最大次数和同类型字符连续出现最大次数的设置。

对于比较难以理解的配置项增加了提示功能。当鼠标悬停在提示图标上时，会显示该配置项的详细说明。

### 账户锁定与登录信息显示
账户锁定设置功能中，用户可以配置是否启用账户锁定功能。启用账户锁定功能后，用户可以设置密码错误阈值与锁定时长。如图 4所示。

![图 4 账户锁定、登录信息显示配置-big](image/4.png)

### 登录信息显示
登录信息显示设置仅对控制台有效，可以设置上次登录信息显示和历史登录失败信息显示。

### 安全体检
点击首页“安全体检”按钮，或左侧列表中“安全体检”标签页进入，如图1所示。

安全体检是对系统进行加固的重要手段之一，包含基线项（安全标准）和CVE漏洞的扫描修复功能。每次体检前都能对上一次的体检情况进行查看，集中展示一些相关的重要信息，如扫描项目、扫描耗时、发现和修复风险项、修复失败项以及体检日期如图5所示。

![图 5 安全中心安全体检页示意-big](image/5.png)

如系统扫描出CVE漏洞，即无法取消勾选，必须一键修复。否则将影响您的系统安全，如图6所示。

![图 6 安全体检扫描完成页示意-big](image/6.png)

![图 7 安全体检修复完成页示意-big](image/7.png)

### 修复示意

打开“本次体检情况”弹窗页，包括“无风险”、“未修复”、“修复成功”、“修复失败”的扫描项将全部列举。修复失败的CVE将有失败原因提示，包括“网络异常”、“下载失败”、“安装失败”。

![图 8 修复示意-big](image/8.png)

### 病毒防护
点击首页的“病毒防护”按钮，或左侧列表中“病毒防护”标签页进入，如图9所示。

![图 9 病毒防护-big](image/9.png)

病毒防护集中展示了当前系统安装的防病毒程序。滚动展示各防病毒程序检测下，系统的防病毒待办事项、病毒防护状态及软件更新状态，同时为每个防病毒程序单独提供打开应用、病毒库更新、立即扫描、更新授权四项功能。

### 打开应用
点击即可打开奇安信网神终端安全管理系统。首页集中提供了病毒查杀、一键清理、优化加速、文件粉碎操作入口，依此如下示意图10、11、12、13，另外在首页的右上角第一个图标点击展开，提供了病毒库离线更新、安全日志、系统设置、关于我们、授权信息操作的入口。奇安信网神首页如下图3-9。

![图 10 奇安信网神首页示意-big](image/10.png)

![图 11 一键清理示意-big](image/11.png)

![图 12 优化加速示意-big](image/12.png)

![图 13 优化加速示意-big](image/13.png)
### 病毒库更新
检测到有新的病毒库时，该功能开放。用户可以升级病毒库，更全面的保护当前系统的安全。病毒库更新效果如下图14。

![图 14 病毒库更新示意-big](image/14.png)

### 立即扫描
立即扫描按钮提供病毒查杀操作之一的毒快速扫描功能入口，扫描效果如下图3-8。另外病毒查杀页面也提供全盘扫描和自定义扫描，全盘扫描和快速扫描类似，但花费的时间更多，扫描的对象是整个系统；而自定义扫描需要自己选择需要扫描的系统盘或者文件夹，自定义扫描效果如下图15.

![图 15 病毒库更新示意-big](image/15.png)

![图 16 自定义扫描示意-big](image/16.png)
为了防止个人信任的文件被误杀，操作人员可以在病毒查杀页面的信任区设置文件目录、文件扩展名白名单，防止不必要的误杀；扫描异常且被处理的文件已在隔离区进行了安全备份，操作员可以在隔离区将其彻底删除或者恢复到处理前的状态；另外对性质不确定的文件，操作人员可以在鉴定区查看加入“云安全计划”后所上报的未知文件的鉴定结果。

### 更新授权
当防病毒软件授权即将到期或已到期，用户可以通过该功能更新软件的授权状态。对没有购买授权文件的用户，可以拨打4009303120进行咨询。更新授权示意如下图17。

![图 17 自定义扫描示意-big](image/17.png)
### 网络保护
点击首页“网络保护”按钮，或左侧列表中“网络保护”标签页进入，如图10所示。
安全中心提供默认的网络防护策略和应用联网管控功能，来维护系统网络环境安全。

![图 18 网络保护-big](image/18.png)

### 防火墙
防护外界应用连接系统，提供公共网络、办公网络、自定义配置和关闭四种策略。默认使用麒麟防火墙。上述四种策略对网络的限制与默认状态如下：
- 公共网络：适用于公共区域的网络配置；拒绝所有外部发向本机的连接
- 办公网络：适用于家庭和办公工作区的网络配置；除ssh、dhcpv6-client、icmp之外，拒绝所有外部发向本机的连接
- 自定义配置：适用于高级管理员用户；拒绝所有外部发向本机的连接，用户可根据需要自己添加需要放行的服务、端口、协议等。
- 关闭：适用于可惜环境的网络配置，允许所有网络连接。
当防火墙状态选择自定义配置时，单击“自定义配置”，即可弹出防火墙自定义配置界面如图 19 所示。

![图 19 自定义设置示意-big](image/19.png)

- “服务”列表显示当前系统配置的防火墙服务；
- 右侧列表显示当前服务下配置管控的协议和端口。勾选后，表示该服务配置启用。用户可通过添加、删除、编辑功能按钮对服务列表、端口、协议进行修改。
需要新增设置，点击服务添加按钮，弹窗如图 3-19所示，按提示步骤进行设置即可。

![图 20 防火墙新增服务设置示意-big](image/20.png)

### 应用程序联网
应用程序联网控制应用程序和服务是否可以主动联网，有三种状态供操作用户选择：

- 禁止：禁止未授权应用和服务联网。

- 警告：若应用程序已添加至管控列表，将根据应用所配置的网络访问策略进行管控；若应用程序未添加至管控列表，将显示认证对话框，由用户选择程序是否可以联网。

- 关闭：关闭应用程序联网控制功能，所有应用和服务均能主动联网。

上述三种状态中，禁止状态和警告状态可触发“应用程序联网配置”按钮，点击此按钮，可进入应用程序联网控制自定义界面。

用户可以在应用程序联网控制界面选中列表中的应用后，通过下拉框选择应用的联网策略。

![图 21 添加应用](image/21.png)
<br>

### 应用控制与保护
点击首页“应用控制与保护”按钮，或左侧列表中“应用控制与保护”标签页进入，如图13所示。

提供应用程序执行控制运行模式设置，来源检查、系统白名单、进程保护、内核保护等防护机制。

![图 22 应用控制与保护控制示意-big](image/22.png)

### 应用程序来源检查
检查应用程序的来源是否合法合规。使用合法合规来源安装的应用可以有效保护系统的安全性和稳定性，如果应用是未认证的，启用麒麟内置的安全功能后，将会检查应用执行权限。应用程序来源检查提供三种选择：
- 仅来源合法的应用程序可以安装
- 检测到来源不合法的应用程序请通知我
- 任何来源的应用程序都可以安装
目前桌面操作系统的安全中心提供的应用程序来源检查默认为任何来源选项，不可更改。当检测系统不支持包签名时，该功能将隐藏

### 应用程序完整性检查
麒麟内安全机制检查应用程序的完整性，帮助保护系统运行环境的完整性。应用程序完整性检查有三种状态：

- 阻止：未认证或完整性被破坏的应用程序将不能被执行。

- 警告：由用户来选择是否执行未认证或完整性被破坏的应用程序。

- 关闭：不进行检查，所有应用程序均可执行。

其中阻止状态和警告状态可触发“应用程序完整性配置”按钮，点击此按钮，进入应用程序完整性配置界面，添加道列表的应用程序，若完整性被破坏则不允许直接运行、加载管理，应用程序完整性配置示意如下图23。

![图 23 应用控制与保护控制示意-big](image/23.png)

### 应用程序防护
提供进程防杀死和内核模块文件防卸载的应用程序防护机制。
进程防杀死功能，当把应用程序添加到进程防杀死列表，系统将禁止该程序进程被杀死。
当发现列表中某个进程退出状态异常或该进程主动退出时，即出发进程防杀死机制。从而达到系统对该程序的进程状态进行监控，并对其进行防杀死控制，

![图 24 应用程序防护进程防杀死示意-big](image/24.png)

![图 25 添加防杀死进程路径示意-big](image/25.png)
内核模块防卸载功能，提供内核模块的文件保护。防止用户误删除导致系统内核参数缺失导致系统无法正常运行。

用户可对想要进行保护的内核模块名称，开启防卸载按钮。

![图 26 应用程序内核模块防卸载示意-big](image/26.png)
<br>

